import os
import glob
import csv
from pathlib import Path
import time
from bs4 import BeautifulSoup
from urllib.request import urlopen
import json
import pickle

def update_list():
    os.chdir("C:/Users/Mii Erik/OneDrive/Dokumenter/Skole/Masteroppgave/master/data/id_mappings")
    files = []
    for file in glob.glob("*.csv"):
        files.append(file)

    for file in files:
        file = open("C:/Users/Mii Erik/OneDrive/Dokumenter/Skole/Masteroppgave/master/data/id_mappings/" + file, 'r')
        reader = csv.reader(file)
        for i,line in enumerate(reader):
            if line[1] == "4238" or line[1] == "9501" or line[1] == "9462" or line[1] == "9497" or line[1] == "9499" or line[1] == "9500"\
                    or line[1]=="9505" or line[1] == "9519" or line[1] == "9821":
                continue
            my_file = Path("C:/Users/Mii Erik/OneDrive/Dokumenter/Skole/Masteroppgave/master/data/understat_xg/" + str(line[0]) + ".txt")
            if my_file.is_file():
                print("Already have data for this match,", line[0])
            else:
                url = "https://understat.com/match/" + line[1]
                print (line[0],line[1])
                Soup = BeautifulSoup(urlopen(url).read(), features="lxml")

                rawJ = Soup.find_all('script')[1].text

                shotsData = rawJ.split("\n")[1]

                shotsData = shotsData.split("JSON.parse('")[1]
                shotsData = shotsData.split("'),")[0]

                shotsData = shotsData.encode("utf8").decode("unicode_escape")
                data = json.loads(shotsData)

                with open('C:/Users/Mii Erik/OneDrive/Dokumenter/Skole/Masteroppgave/master/data/understat_xg/' + line[0] + '.txt', 'wb') as f:
                    pickle.dump(data, f)

                time.sleep(1.5)

update_list()