import json
import requests
import csv
import understat_season_schedule as UD

# ID'er
#pl1617 = 32887
#pl1718 = 40942
#ll1617 = 33529
#ll1718 = 42556
#sa1617 = 33771
#sa1718 = 42720
#l11617 = 32621
#l11718 = 40958
#bl1617 = 33225
#bl1718 = 41576

key = ""

the_list ={
    "pl1819": 54571,
    "ll1819": 55917,
    "sa1819": 55737,
    "l11819": 54373,
    "bl1819": 55017,
}

for key in the_list:

    matches_understat_raw = json.loads(UD.get_all_matches(key))
    url = "https://api.sportradar.us/soccer-x3/eu/en/tournaments/sr:season:"+str(the_list[key]) +"/schedule.json?api_key=" + key

    r = requests.get(url=url)
    data = r.json()

    league = data["tournament"]["name"]

    match_ids = []
    matches_sportradar = []
    print(league)
    for i, match in enumerate(data["sport_events"]):
        id = match["id"].split(":")[2]
        date = match["scheduled"][:-15]
        home_team = match["competitors"][0]["abbreviation"]
        away_team = match["competitors"][1]["abbreviation"]
        home_team_whole = match["competitors"][0]["name"]
        away_team_whole = match["competitors"][1]["name"]
        if "name" in match["tournament_round"]:
            continue

        #For Pl
        if league == "Premier League":
            filename="pl_1819_ids.csv"

            if home_team == "STK":
                home_team = "STO"
            elif home_team == "BHA":
                home_team = "BRI"
            elif home_team == "FUL":
                home_team = "FLH"

            if away_team == "STK":
                away_team = "STO"
            elif away_team == "BHA":
                away_team = "BRI"
            elif away_team == "FUL":
                away_team = "FLH"

        elif league == "LaLiga":
            filename = "ll_1819_ids.csv"
            if home_team == "MCF":
                home_team = "MAL"
            elif home_team == "RVM":
                home_team = "OSA"
            elif home_team == "COR":
                home_team = "DEP"
            elif home_team == "FCB":
                home_team = "BAR"
            elif home_team == "RBB":
                home_team = "BET"
            elif home_team == "RSG":
                home_team = "GRA"
            elif home_team == "SFC":
                home_team = "SEV"
            elif home_team == "RSO":
                home_team = "SOC"
            elif home_team == "MAD":
                home_team = "RMA"
            elif home_team == "ATM":
                home_team = "ATL"
            elif home_team_whole == "Valencia CF":
                home_team = "VALE"
            elif home_team == "LPA":
                home_team = "LPL"
            elif home_team == "LUD":
                home_team = "LEV"
            elif home_team_whole == "Real Valladolid":
                home_team = "VALLA"
            elif home_team == "RVC":
                home_team = "RVL"

            if away_team == "MCF":
                away_team = "MAL"
            elif away_team == "RVM":
                away_team = "OSA"
            elif away_team == "COR":
                away_team = "DEP"
            elif away_team == "FCB":
                away_team = "BAR"
            elif away_team == "RBB":
                away_team = "BET"
            elif away_team == "RSG":
                away_team = "GRA"
            elif away_team == "SFC":
                away_team = "SEV"
            elif away_team == "RSO":
                away_team = "SOC"
            elif away_team == "MAD":
                away_team = "RMA"
            elif away_team == "ATM":
                away_team = "ATL"
            elif away_team_whole == "Valencia CF":
                away_team = "VALE"
            elif away_team == "LPA":
                away_team = "LPL"
            elif away_team == "LUD":
                away_team = "LEV"
            elif away_team_whole == "Real Valladolid":
                away_team = "VALLA"
            elif away_team == "RVC":
                away_team = "RVL"

        #For Serie A
        elif league == "Serie A":
            filename = "sa_1819_ids.csv"
            if home_team == "ACM":
                home_team = "MIL"
            elif home_team == "TUR":
                home_team = "TOR"
            elif home_team == "COR":
                home_team = "CRO"
            elif home_team == "SPA":
                home_team = "SPL"

            if away_team == "ACM":
                away_team = "MIL"
            elif away_team == "TUR":
                away_team = "TOR"
            elif away_team == "COR":
                away_team = "CRO"
            elif away_team == "SPA":
                away_team = "SPL"


        #For Ligue 1
        elif league == "Ligue 1":
            filename = "l1_1819_ids.csv"
            if home_team_whole == "AS Monaco":
                home_team_whole = "Monaco"
            elif home_team_whole == "Paris Saint-Germain":
                home_team_whole = "Paris Saint Germain"
            elif home_team_whole == "EA Guingamp":
                home_team_whole = "Guingamp"
            elif home_team_whole == "FC Girondins Bordeaux":
                home_team_whole = "Bordeaux"
            elif home_team_whole == "AS Saint Etienne":
                home_team_whole = "Saint-Etienne"
            elif home_team_whole == "Montpellier HSC":
                home_team_whole = "Montpellier"
            elif home_team_whole == "SCO Angers":
                home_team_whole = "Angers"
            elif home_team_whole == "Dijon FCO":
                home_team_whole = "Dijon"
            elif home_team_whole == "FC Nantes":
                home_team_whole = "Nantes"
            elif home_team_whole == "SM Caen":
                home_team_whole = "Caen"
            elif home_team_whole == "FC Lorient":
                home_team_whole = "Lorient"
            elif home_team_whole == "FC Metz":
                home_team_whole = "Metz"
            elif home_team_whole == "Lille OSC":
                home_team_whole = "Lille"
            elif home_team_whole == "AS Nancy":
                home_team_whole = "Nancy"
            elif home_team_whole == "Olympique Lyon":
                home_team_whole = "Lyon"
            elif home_team_whole == "OGC Nice":
                home_team_whole = "Nice"
            elif home_team_whole == "Stade Rennes":
                home_team_whole = "Rennes"
            elif home_team_whole == "Olympique Marseille":
                home_team_whole = "Marseille"
            elif home_team_whole == "Toulouse FC":
                home_team_whole = "Toulouse"
            elif home_team_whole == "SC Amiens":
                home_team_whole = "Amiens"
            elif home_team_whole == "Racing Strasbourg":
                home_team_whole = "Strasbourg"
            elif home_team_whole == "Troyes AC":
                home_team_whole = "Troyes"
            elif home_team_whole == "Olympique Nimes":
                home_team_whole = "Nimes"
            elif home_team_whole == "Stade Reims":
                home_team_whole = "Reims"


            if away_team_whole == "AS Monaco":
                away_team_whole = "Monaco"
            elif away_team_whole == "Paris Saint-Germain":
                away_team_whole = "Paris Saint Germain"
            elif away_team_whole == "EA Guingamp":
                away_team_whole = "Guingamp"
            elif away_team_whole == "FC Girondins Bordeaux":
                away_team_whole = "Bordeaux"
            elif away_team_whole == "AS Saint Etienne":
                away_team_whole = "Saint-Etienne"
            elif away_team_whole == "Montpellier HSC":
                away_team_whole = "Montpellier"
            elif away_team_whole == "SCO Angers":
                away_team_whole = "Angers"
            elif away_team_whole == "Dijon FCO":
                away_team_whole = "Dijon"
            elif away_team_whole == "FC Nantes":
                away_team_whole = "Nantes"
            elif away_team_whole == "SM Caen":
                away_team_whole = "Caen"
            elif away_team_whole == "FC Lorient":
                away_team_whole = "Lorient"
            elif away_team_whole == "FC Metz":
                away_team_whole = "Metz"
            elif away_team_whole == "Lille OSC":
                away_team_whole = "Lille"
            elif away_team_whole == "AS Nancy":
                away_team_whole = "Nancy"
            elif away_team_whole == "Olympique Lyon":
                away_team_whole = "Lyon"
            elif away_team_whole == "OGC Nice":
                away_team_whole = "Nice"
            elif away_team_whole == "Stade Rennes":
                away_team_whole = "Rennes"
            elif away_team_whole == "Olympique Marseille":
                away_team_whole = "Marseille"
            elif away_team_whole == "Toulouse FC":
                away_team_whole = "Toulouse"
            elif away_team_whole == "SC Amiens":
                away_team_whole = "Amiens"
            elif away_team_whole == "Racing Strasbourg":
                away_team_whole = "Strasbourg"
            elif away_team_whole == "Troyes AC":
                away_team_whole = "Troyes"
            elif away_team_whole == "Olympique Nimes":
                away_team_whole = "Nimes"
            elif away_team_whole == "Stade Reims":
                away_team_whole = "Reims"

        # For Bundesliga
        elif league == "Bundesliga":
            filename = "bl_1819_ids.csv"
            if home_team == "FCB":
                home_team = "BAY"
            elif home_team == "SVW":
                home_team = "WER"
            elif home_team == "BVB":
                home_team = "DOR"
            elif home_team == "KOE":
                home_team = "COL"
            elif home_team == "HSV":
                home_team = "HAM"
            elif home_team == "FCI":
                home_team = "ING"
            elif home_team == "FCA":
                home_team = "AUG"
            elif home_team == "WOB":
                home_team = "WOL"
            elif home_team == "SGE":
                home_team = "EIN"
            elif home_team == "S04":
                home_team = "SCH"
            elif home_team == "B04":
                home_team = "LEV"
            elif home_team == "SCF":
                home_team = "FRE"
            elif home_team == "TSG":
                home_team = "HOF"
            elif home_team == "H96":
                home_team = "HAN"
            elif home_team == "VFB":
                home_team = "STU"
            elif home_team == "FOD":
                home_team = "FOR"
            elif home_team == "FCN":
                home_team = "NUE"

            if away_team == "FCB":
                away_team = "BAY"
            elif away_team == "SVW":
                away_team = "WER"
            elif away_team == "BVB":
                away_team = "DOR"
            elif away_team == "KOE":
                away_team = "COL"
            elif away_team == "HSV":
                away_team = "HAM"
            elif away_team == "FCI":
                away_team = "ING"
            elif away_team == "FCA":
                away_team = "AUG"
            elif away_team == "WOB":
                away_team = "WOL"
            elif away_team == "SGE":
                away_team = "EIN"
            elif away_team == "S04":
                away_team = "SCH"
            elif away_team == "B04":
                away_team = "LEV"
            elif away_team == "SCF":
                away_team = "FRE"
            elif away_team == "TSG":
                away_team = "HOF"
            elif away_team == "H96":
                away_team = "HAN"
            elif away_team == "VFB":
                away_team = "STU"
            elif away_team == "FOD":
                away_team = "FOR"
            elif away_team == "FCN":
                away_team = "NUE"

        if "replaced_by" in match:
            if match["replaced_by"].split(":")[2] not in match_ids:
                match_ids.append(match["replaced_by"].split(":")[2])
                matches_sportradar.append([match["replaced_by"].split(":")[2], date, home_team, away_team, home_team_whole, away_team_whole])
                if id in match_ids: match_ids.remove(id)
                for ind, match in enumerate(matches_sportradar):
                    if id == match[0]:
                        del matches_sportradar[ind]
        elif match["status"] == "closed": #Only finished games
            if id not in match_ids:
                match_ids.append(id)
                matches_sportradar.append([id, date, home_team, away_team, home_team_whole, away_team_whole])

    abbs_sport = []
    for match in matches_sportradar:
        if match[2] not in abbs_sport:
            abbs_sport.append(match[2])
            abbs_sport.append(match[4])
        if match[3] not in abbs_sport:
            abbs_sport.append(match[3])
            abbs_sport.append(match[5])
    abbs_under = []

    matches_understat = []
    for match in matches_understat_raw:
        home_short_title = match["h"]["short_title"]
        if league == "LaLiga" and match["h"]["title"] == "Real Valladolid":
            home_short_title = "VALLA"
        elif league == "LaLiga" and match["h"]["title"] == "Valencia":
            home_short_title = "VALE"

        if home_short_title not in abbs_under:
            abbs_under.append(home_short_title)
            abbs_under.append(match["h"]["title"])

        away_short_title = match["a"]["short_title"]
        if league == "LaLiga" and match["a"]["title"] == "Real Valladolid":
            away_short_title = "VALLA"
        elif league == "LaLiga" and match["a"]["title"] == "Valencia":
            away_short_title = "VALE"
        if away_short_title not in abbs_under:
            abbs_under.append(away_short_title)
            abbs_under.append(match["a"]["title"])
        matches_understat.append([home_short_title, away_short_title, match["id"], match["h"]["title"], match["a"]["title"]])

    matched_matches = 0
    matched = []
    for match_s in matches_sportradar:
        made_match = False

        if league != "Ligue 1":
            for indx, match_u in enumerate(matches_understat):
                if  match_s[2] == match_u[0] and match_s[3] == match_u[1]:
                    matched_matches += 1
                    matched.append([match_s[0], match_u[2]])
                    made_match = True
                    continue
                elif indx == (len(matches_understat)-1):
                    if made_match == False:
                        print(match_s)

        else:
            for indx, match_u in enumerate(matches_understat):
                if  match_s[4] == match_u[3] and match_s[5] == match_u[4]:
                    matched_matches += 1
                    matched.append([match_s[0], match_u[2]])
                    made_match = True
                    continue
                elif indx == (len(matches_understat)-1):
                    if made_match == False:
                        print(match_s)

    print("Understat matches - ", len(matches_understat))
    print("Sportradar matches - ", len(matches_sportradar))
    print("Sportradar ids - ", len(match_ids))
    print("Matched:", matched_matches)
    matched = sorted(matched,key=lambda x: x[1])

    unders_ids = []
    for ma in matched:
        if ma[1] not in unders_ids:
            unders_ids.append(ma[1])
        else:
            print ("Duplicate", ma[1])

    with open("data/id_mappings/" + filename, 'w', newline="") as myfile:
        wr = csv.writer(myfile)
        wr.writerows(matched)